Page MenuHomePhabricator

A public CheckUserLog
Closed, DeclinedPublic

Description

Due to the privacy policy, CheckUserLog can only be viewed by users who have permission. Although the CheckUsers can organize and publicly publish the statistics of these logs, but some people still believe that some information was concealed. It may be necessary to check the log directly without violating the privacy policy.

I recommend that the system provide a interface to query the log which the information can be public, like 'When and who query a UserCheck with the reason, or no reason for privacy policy'. This will strike a balance between privacy and openness.

There are some variables to control the function.
*enablePublicUserCheckLog: to enable or disable the interface of public CheckUserLog.
*hideReasonForInit: because the reason of some old log will have the privacy data, it must be hidden. the default value is true to hidden the reason.
*defaultChoicenToHiddenReasonWhenQuerying: the interface 'Special:CheckUser' will add a new option to choose whether hide the reason or not. It will public the reason if the option is be checked. This variable is used to control whether the option is checked by default. The default value is true to indicate that the option is checked by default.

the database schema of log [https://www.mediawiki.org/wiki/Extension:CheckUser/cu_log_table] will add a new column to mark whether the reason is public or not.

That is all. I hope to consider this suggestion.

Related Objects

Event Timeline

Cwek created this task.Mar 20 2018, 7:35 AM
Restricted Application added subscribers: Scoopfinder, Aklapper. · View Herald TranscriptMar 20 2018, 7:35 AM
Cwek updated the task description. (Show Details)Mar 20 2018, 7:37 AM

This was declined at T13386 a decade ago.

Cwek reopened this task as Open.Mar 21 2018, 1:22 AM

This was declined at T13386 a decade ago.

There is a little difference here. T13386 want to know 'who made a query on who' , this request is 'who made a query'. There is no query‘s condition and the result, for privacy policy.

So, Can it rethink about?

Huji changed the task status from Open to Stalled.Mar 21 2018, 1:59 AM
Huji added a subscriber: Huji.

I think this is the kind of thing that needs community approval. You might want to open a Request for Comments on meta and then return this task back to "Open" if there is strong community support for it.

I for one, am against the idea of making it mandatory. Projects should have the choice to make such reports (some wikis already do this, on a monthly basis).

Cwek added a comment.Mar 21 2018, 2:03 AM

Well, I ask this request because of some problems on my local wikimedia's site.
For example:
*There was a local CU request. A CUer gave a result that A is B on technology and B looks like C, and the relationship of B and C looks like that it was writen on the cu's wiki. A decade late, some people doubt that the CUer who gave the result is lie and he just used subjective judgments to give results without making a query. So it needed looking up the logs which the CUer did, if it was timely. Who write the note on cu's wiki is out of the request which I would want to talk on here.
*There was a local CU request to check the relationship of A and B. There was be hold for a long time, even other requests that were later than it had been processed, this request was closed because of time-out and CUer doing anything. So it need to know whether or not the CUers have made inquiries or have already done a query but have not expressed their result.

Huji added a comment.Mar 21 2018, 12:08 PM

Your wiki must have more than one active CU, and they should review each other's work, and check the CU log frequently. If they fail at this, then both the CU who lied and the other CU who failed to monitor the logs may not be suitable for their permission.

Huji added a comment.Mar 21 2018, 12:10 PM

Also, what if the CU did run a check on B versus C, but reported they are the same even though the check results did not prove it? In this case a public log would show that he ran the right number of checks, but he would still be "lying", so to speak. Again, if a CU does not have the level of integrity and honesty to clarify what is his own interpretation and what is evident form the data, he may not be suitable for the CU permission.

Cwek added a comment.Mar 22 2018, 7:19 AM

Also, what if the CU did run a check on B versus C, but reported they are the same even though the check results did not prove it? In this case a public log would show that he ran the right number of checks, but he would still be "lying", so to speak. Again, if a CU does not have the level of integrity and honesty to clarify what is his own interpretation and what is evident form the data, he may not be suitable for the CU permission.

Because this is an old story and the data has expired,the CUer who be thought is a lier is only considered to be dealing with something wrong and is still performing his duties. And I think that providing public logs helps to increase the transparency of their supervision. In particular, Most of them may have found a hidden group with same position. Except for them, others cannot know what is it in the CheckUserlog. The strong group maybe can exert influence on the other groups so that the other group would not disclose the actions of the strong group. This is why it is also necessary to introduce public oversight.

Huji added a comment.Mar 22 2018, 11:40 AM

Like I said, you need to create an RfC on meta.

Cwek closed this task as Resolved.Mar 23 2018, 3:24 AM
Cwek claimed this task.

Like I said, you need to create an RfC on meta.

OK. Maybe you are right.

Peachey88 changed the task status from Resolved to Declined.Mar 23 2018, 8:37 AM